package hello.client;

public class HelloworldClient {

	public static void main(String[] args){
		try{
			HelloworldImpl port = new HelloworldImplService().getHelloworldImplPort();
			String helloStr = "JAX-WS";
			sayHello(port, helloStr);
			helloStr = "";
			sayHello(port, helloStr);
		}catch(HelloworldException_Exception e){
			System.out.printf("HelloworldException_Exception: %s", 
					e.getFaultInfo().getDetail());
		}
	}

	private static void sayHello(HelloworldImpl port, String helloStr) throws HelloworldException_Exception {
		String hello = port.sayHello(helloStr);
		System.out.printf("Say hello to %s returns: %s\n", helloStr, hello);
	}
}
